HP and SP massive update delay
Closed, WontfixPublic


What is happening:
In a nutshell; sprinting, using skills, taking damage, etc.. anything that makes either the HP bar or the SP bar increase or decrease happens 30 or more seconds after the action for it

What should be happening:
when I get hit, or hit something.. use skills, etc.. it should be updated in real time.

Steps to reproduce the issue:
Make a character (I used an earth pony twice)
See if stamina decreases before a while goes by
Go to the woods
Fight a hornet
Notice that by the time it falls over that neither HP bar or just one had not changed at all, and most likely the stamina bar as well
Let some time pass
Notice your SP and HP start dropping and filling and dropping, possibly even resulting in a fainting situation

Game client version:
Version 0.1.8

Reproduced by:

Reproduced on:
Windows10 64 bit

Crash logs or exceptions generated:


edds4eva created this task.Sep 10 2017, 5:04 PM
Reelix added a subscriber: Reelix.Sep 17 2017, 6:56 PM
ccc_037 added a subscriber: ccc_037.EditedSep 19 2017, 6:48 PM

Have noticed this too, on 64-bit Linux. Incidentally, if I take enough damage to faint, then I see the "You have fainted" message in the chat window instantly, and I am no longer able to use my spells (with error message Not Enough Energy) but I am still able to run around and pick up stuff (like mushrooms/gems) until my health bar catches up.

I am playing a unicorn, if that makes any difference.

The delay is also not constant. It changes over time.

justin closed this task as Wontfix.Oct 6 2017, 8:03 AM

this is server lag